UnresolvableObjectException (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class UnresolvableObjectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.UnresolvableObjectException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ObjectDeletedException, ObjectNotFoundException

    public class UnresolvableObjectException

extends HibernateException

Thrown when Hibernate could not resolve an object by id, especially when loading an association.

See Also:
  Serialized Form

Constructor Summary
`UnresolvableObjectException(Serializable identifier, String clazz)`

Method Summary
`String` | `getEntityName()`
`Serializable` | `getIdentifier()`
`String` | `getMessage()`
`static void` | `throwIfNull(Object o, Serializable id, String clazz)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnresolvableObjectException

    public UnresolvableObjectException(Serializable identifier,
                                       String clazz)

Method Detail

### getIdentifier

    public Serializable getIdentifier()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getEntityName

    public String getEntityName()

### throwIfNull

    public static void throwIfNull(Object o,
                                   Serializable id,
                                   String clazz)
                            throws UnresolvableObjectException

  Throws:
    `UnresolvableObjectException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.